% vdpee.m
% integration de     dx/dt =  y + x - x**3   ,     dy/dt =  -x
%                          par un schema d Euler
% la solution 'exacte' est l attracteur de Van der Pol
% fd, iacs, 18 septembre 2004, 2, 16 janvier 2005, 25 fevrier 2025 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% xlabel ('vdpee. Cycle limite non lineaire avec le schema d Euler explicite.') ;
n=25;  dt=1/n
vec=zeros(2,2) ; x=zeros(2,1) ;
x(1,1)=0.1;    x(2,1)=0;

niter = 6*n 
  traj=zeros(niter+1,2) ; 
  traj(1,1) =  x(1,1) ; traj(1,2) =  x(2,1) ;


for i=1:niter ;
%%%  if i<=1 ;   hold off ; plot(x(1,1) , x(2,1) , '*g;depart;') ; end  ; 
xn  = x + dt * f(x) ;
%
vec(1,1)=x(1,1) ; vec(2,1)=xn(1,1) ; 
vec(1,2)=x(2,1) ; vec(2,2)=xn(2,1) ;
traj(i+1,1) = xn(1,1) ; traj(i+1,2) = xn(2,1) ;
x=xn ;     end ;

traj ; 
hold off 
%%% plot ( vec(:,1) , vec(:,2), '*k;trajectoire;')
plot ( traj(:,1) , traj(:,2), '*k;trajectoire;')
%% axis ([ -1 , 1 ,  -1 , 1.3 ]) 
title ('Oscillateur de Van der Pol : debut de la trajectoire') ;
hold off 
%%%  print -dpdf 01-vdpee.pdf
%%%  print -djpg 01-vdpee.jpg
print('01-vdpee.jpg', '-djpg', '-S891,630');
